#!/bin/bash

RUNDIR=$(pwd)

DWARF_ORIG=/gpfs/projects/bsc32/bsc32353/ESCAPE/dwarf-lonlev-0.91_0
cp -r ${DWARF_ORIG} .
DWARF=${RUNDIR}/dwarf-lonlev-0.91_0
DWARF_SRC=${DWARF}/src

# Copy the files produced from the Local execution
cp ProcessedOutputs/* ${DWARF_SRC}

cd ${DWARF}
module load gcc/7.2.0
make clean
# Add the free length line to the compiling option
cp /gpfs/projects/bsc32/bsc32870/rpe/mn4/gcc-7.1.0/modules/rp_emulator.F90 ./src
# Compile our read precision file (we should add it to the list of files compiled by makefile)
FCFLAGS='-ffree-line-length-none -fopenmp -g -O2 -cpp'
sed -i  "/configure / s/$/ FCFLAGS=\'${FCFLAGS}\'/" ./confmake.sh

# Compile
./confmake.sh
cp /gpfs/home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dependencies ./src/.dependencies
INC_FOLDER='MKLINCL:=-I/gpfs/projects/bsc32/bsc32870/rpe/src/src/include/'
sed -i 's@^MKLINCL.*@'${INC_FOLDER}'@' Makefile.include

make
cd src
gfortran -fopenmp -ffree-line-length-none -g -O2 -cpp -fconvert=big-endian /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/dmi_omp.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/acraneb2.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/acraneb3.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/callmain.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/dmi_timer.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/ini_acraneb2.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/ini_modules.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/ini_var_3D-data.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/ini_var_ideal.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/input_acraneb2.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/main.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/output_basic.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/parkind1.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/yomrad.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/radia_dwarf.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/read_precisions.o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/src/rp_emulator.o  -o /home/bsc32/bsc32402/local/recipe_4_dwarf-lonlev-0.91_0/Remote/dwarf-lonlev-0.91_0/dwarf
